from abc import ABC, abstractmethod
from sqlalchemy.orm import Session
from sqlalchemy.engine import Engine

class ConexionBase(ABC):
    @abstractmethod
    def get_session(self) -> Session:
        pass

    @abstractmethod
    def get_engine(self) -> Engine:
        pass